List templates

Return a collection of templates in the workspace.

HTTP request

GET https://api.wordfields.com/v1.0/templates

Request headers

Name Description
x-api-key API key. Required. Learn more about authentication.

Response

If successful, this method returns the active templates in the workspace, the most recently created template first.

HTTP/1.1 200 OK
Content-type: application/json; charset=utf-8

{
  "value": [
    {"id": "1499179389525622343", "name": "Consultation contract", "createdDateTime": "2024-06-03T05:50:28Z", "files": [ .. ]},
    {"id": "1097464506570768384", "name": "Non-disclosure agreement", "createdDateTime": "2024-05-03T05:50:28Z", "files": [ .. ]},
    {"id": "8895269995408261124", "name": "Job description form", "createdDateTime": "2023-11-15T05:50:28Z", "files": [ .. ]}
  ]
}

Note: You can create documents from template files whose editorVersion is v1. Templates made in the template editor (v2) are listed too, but their documents are created in the app.

Error responses

For more information on error handling, refer to the Error Responses article.